E-MailRelay

Public Member Functions | List of all members
GNet::InterfacesNotifier Class Referenceabstract

A pimple base-class used by GNet::Interfaces. More...

`#include <ginterfaces.h>`

Inheritance diagram for GNet::InterfacesNotifier:

## Public Member Functions
virtual std::string | readEvent ()=0
| Called by GNet::Interfaces to handle a read event. More...
virtual std::string | onFutureEvent ()=0
| Called by GNet::Interfaces to handle a future event. More...
virtual | ~InterfacesNotifier ()=default
| Destructor.

## Detailed Description

A pimple base-class used by GNet::Interfaces.

Definition at line 156 of file ginterfaces.h.

## Member Function Documentation

## ◆ onFutureEvent()

virtual std::string GNet::InterfacesNotifier::onFutureEvent | ( |  | ) |
| pure virtual

Called by GNet::Interfaces to handle a future event.

Returns a diagnostic representation of the event or the empty string.

Implemented in GNet::InterfacesNotifierImp.

## ◆ readEvent()

virtual std::string GNet::InterfacesNotifier::readEvent | ( |  | ) |
| pure virtual

Called by GNet::Interfaces to handle a read event.

Returns a diagnostic representation of the event or the empty string.

Implemented in GNet::InterfacesNotifierImp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/ginterfaces.h